Index: sandbox/2.5.0-expresso1/expressoMail1_2/js/draw_api.js
===================================================================
--- sandbox/2.5.0-expresso1/expressoMail1_2/js/draw_api.js	(revision 7128)
+++ sandbox/2.5.0-expresso1/expressoMail1_2/js/draw_api.js	(revision 7146)
@@ -108,4 +108,116 @@
 		}
 
+                
+                //MAILARCHIVER-01
+                //Create local folders main structure tree
+                if(preferences.use_local_messages=="1"){
+                    var disabled_local_span = document.getElementById('llocal_disabledtree_folders');
+
+                    //Services are disabled: because Mail Archiver is not running/installed or have just crashed. Link activation is created here
+                    if(!expresso_mail_archive.enabled){
+                        //window.alert('tem o nodo disabled? ' + tree_folders.getNodeById("local_disabled") + '[' + typeof(tree_folders.getNodeById('local_disabled')) + ']');
+                        if(typeof(tree_folders.getNodeById("local_disabled")) == 'undefined'){
+                          var n_LocalDisabled = new dNode({id: "local_disabled", caption: get_lang('Offline'), onClick: "services_retry()", plusSign:false});
+                          tree_folders.add(n_LocalDisabled, 'local_root');
+                        }
+
+                        tree_folders.getNodeById("local_disabled").alter({caption:get_lang('Offline'), onClick: "retry_local_folders()"});
+                        tree_folders.getNodeById("local_disabled")._refresh();
+                        
+                        if((disabled_local_span) && (!document.getElementById('services_retry'))){
+                            disabled_local_span.style.backgroundImage="url(../phpgwapi/templates/"+template+"/images/foldertree_services.png)";
+
+                            var service_retry = document.createElement("SPAN");
+                            service_retry.id = 'services_retry';
+                            service_retry.className = 'clean_trash';
+                            service_retry.style.cursor = 'pointer';
+                            service_retry.onclick = function () {services_retry();};
+                            service_retry.innerHTML = "["+get_lang("Retry")+"]";
+                            service_retry.title="Reconectar ao Mail Archiver";
+                            service_retry.onmouseover = function() {service_retry.style.color="red";};
+                            service_retry.onmouseout= function() {service_retry.style.color="#666666";}; //#114FA4
+                            disabled_local_span.parentNode.appendChild(service_retry);
+                        }
+                        else{
+                            //Creates the tree node and MA console linkage
+                            if((!disabled_local_span) && (!document.getElementById('services_retry'))){
+                                var n_LocalDisabled = new dNode({id: "local_disabled", caption: get_lang('Offline'), onClick: "services_retry()", plusSign:false});
+                                tree_folders.add(n_LocalDisabled, 'local_root');
+                            
+                                var disabled_local_span = document.getElementById('llocal_disabledtree_folders');
+                                disabled_local_span.style.backgroundImage="url(../phpgwapi/templates/"+template+"/images/foldertree_services.png)";
+                                var service_retry = document.createElement("SPAN");
+                                service_retry.id = 'services_retry';
+                                service_retry.className = 'clean_trash';
+                                service_retry.style.cursor = 'pointer';
+                                service_retry.onclick = function () {services_retry();};
+                                service_retry.innerHTML = "["+get_lang("Retry")+"]";
+                                service_retry.title= get_lang("Reconect to MailArchiver services");
+                                service_retry.onmouseover = function() {service_retry.style.color="red";};
+                                service_retry.onmouseout= function() {service_retry.style.color="#666666";}; //#114FA4
+                                disabled_local_span.parentNode.appendChild(service_retry);
+                            
+                                var div_ma_host = document.createElement('div');
+                                div_ma_host.id = 'div_login_ma_host';
+                                div_ma_host.style.position = 'absolute';
+                                div_ma_host.style.padding = '0px';
+                                div_ma_host.style.margin = '0px';
+                                div_ma_host.style.top = '25px';
+                                div_ma_host.style.left = '0px';
+                                div_ma_host.style.width = '145px';
+                                div_ma_host.style.height = '80px';
+                                div_ma_host.style.border = '1px solid #CCCCCC';
+                                div_ma_host.style.backgroundColor = '#F0F0F0';
+                                div_ma_host.style.fontWeight = 'normal';
+                                disabled_local_span.appendChild(div_ma_host);
+                                div_ma_host.innerHTML = '<p><b>'+get_lang('In trouble?')+'</b></p><p>&rarr; ' + get_lang('Try to access') + '<br/><a href="' + mail_archive_protocol + "://" + mail_archive_host + ":" + mail_archive_port + '/admin" target="_blank" title="MailArchiver Admin">'+get_lang('MailArchiver admin console')+'.</p>';                            
+                            }
+                            //Only creates the MA login linkage
+                            else{
+                                var div_ma_host = document.createElement('div');
+                                div_ma_host.id = 'div_login_ma_host';
+                                div_ma_host.style.position = 'absolute';
+                                div_ma_host.style.padding = '0px';
+                                div_ma_host.style.margin = '0px';
+                                div_ma_host.style.top = '25px';
+                                div_ma_host.style.left = '0px';
+                                div_ma_host.style.width = '145px';
+                                div_ma_host.style.height = '80px';
+                                div_ma_host.style.border = '1px solid #CCCCCC';
+                                div_ma_host.style.backgroundColor = '#F0F0F0';
+                                div_ma_host.style.fontWeight = 'normal';
+                                disabled_local_span.appendChild(div_ma_host);
+                                div_ma_host.innerHTML = '<p><b>'+get_lang('In trouble?')+'</b></p><p>&rarr; ' + get_lang('Try to access') + '<br/><a href="' + mail_archive_protocol + "://" + mail_archive_host + ":" + mail_archive_port + '/admin" target="_blank" title="MailArchiver Admin">'+get_lang('MailArchiver admin console')+'.</p>';                                                        
+                            }
+                        }
+                    }
+                    //Services enabled: list folders service must be invoqued
+                    else{
+                        var services_retry_span = document.getElementById('services_retry');
+
+                        if(services_retry_span){
+                            //window.alert('Tem services_retry -> vai remover o disabled_local_span');
+                            var node_disabled_to_remove = document.getElementById('nlocal_disabledtree_folders');
+                            //document.getElementById('chlocal_roottree_folders').removeChild('nlocal_disabledtree_folders');
+                            //services_retry_span.parentNode.removeChild(services_retry_span);
+                            node_disabled_to_remove.parentNode.removeChild(node_disabled_to_remove);
+                        }
+                        //else
+                          //  window.alert('Sem services retry');
+
+                        //tree_folders.getNodeById("local_disabled").alter({caption:get_lang('List_Folders')});
+                                                
+                       //expresso_mail_archive.getFoldersList('FERNANDAO22', "");
+                       var drawinginfo = {treeObject: tree_folders, treeName: 'tree_folders'};
+                       expresso_mail_archive.drawdata = drawinginfo;
+                       //expresso_mail_archive.getFoldersList("");                        
+                        
+                        //tree_folders.getNodeById("local_root")._refresh();
+
+                        if(disabled_local_span)
+                            disabled_local_span.style.backgroundImage="url(../phpgwapi/templates/"+template+"/images/foldertree_folder.png)";                       
+                    }      
+                }
+
 		return;
 	}
@@ -148,5 +260,30 @@
 		}
 
-
+                
+                //MAILARCHIVER-02
+                //Create local folders main structure tree
+                if(preferences.use_local_messages=="1"){   
+                    //Add the local_root node
+                    var root_local = new dNode({id: "local_root", caption: get_lang('local folders'), plusSign: true});
+                    tree_folders.add(root_local, "root");   
+                    
+                    //Services are disabled: because Mail Archiver is not running/installed or have just crashed. Link activation is created here
+                    if(!expresso_mail_archive.enabled){
+                        var n_LocalDisabled = new dNode({id: "local_disabled", caption: get_lang('Offline'), onClick: "services_retry()", plusSign:false});
+                        tree_folders.add(n_LocalDisabled, 'local_root');
+                        
+                    }
+                    
+                    //Services enabled: list folders service must be invoqued
+                    else{
+                        var drawinginfo = {treeObject: tree_folders, treeName: 'tree_folders'};
+                        expresso_mail_archive.drawdata = drawinginfo;
+                        //expresso_mail_archive.getFoldersList("");
+                    }
+                    
+                    //Opens the local folders tree view
+                    //tree_folders.getNodeById("local_root").open();
+                    
+                }
 
 		var handlerChannel = function(data){
@@ -183,49 +320,4 @@
 		 * Pastas locais
 		 */
-		if (preferences.use_local_messages==1 || expresso_offline) {
-			    //verifica se gears esta installado ou o offline
-			if( (!window.google || !google.gears) &&
-			     !expresso_local_messages.installGears() ){
-                                preferences.use_local_messages = 0;
-			}
-			else if( !expresso_local_messages.is_offline_installed() )
-				preferences.use_local_messages = 0;
-			else{
-				if (expresso_offline)
-					tree_folders = new dFTree({
-						name: 'tree_folders'
-					});
-				var root_local = new dNode({
-					id: "local_root",
-					caption: get_lang('local folders')
-				});
-				tree_folders.add(root_local, "root"); //coloca root local
-				var local_folders = expresso_local_messages.list_local_folders();
-				for (var i in local_folders) { //Coloca as pastas locais.
-					var node_root = "local_root";
-					var new_caption = local_folders[i][0];
-					if (local_folders[i][0].indexOf("/") != "-1") {
-						final_pos = local_folders[i][0].lastIndexOf("/");
-						node_root = "local_" + local_folders[i][0].substr(0, final_pos);
-						new_caption = local_folders[i][0].substr(final_pos + 1);
-					}
-					if (local_folders[i][1] > 0)
-						var nodeLocal = new dNode({
-							id: "local_" + local_folders[i][0],
-							caption: lang_folder(new_caption) + '<font style=color:red>&nbsp(</font><span id="local_unseen" style=color:red>' + local_folders[i][1] + '</span><font style=color:red>)</font>',
-							onClick: "change_folder('local_" + local_folders[i][0] + "','" + new_caption + "')",
-							plusSign: local_folders[i][2]
-						});
-					else
-						var nodeLocal = new dNode({
-							id: "local_" + local_folders[i][0],
-							caption: lang_folder(new_caption),
-							onClick: "change_folder('local_" + local_folders[i][0] + "','" + new_caption + "')",
-							plusSign: local_folders[i][2]
-						});
-						tree_folders.add(nodeLocal, node_root);
-					}
-				}
-			}
 
 		/*tree_folders.draw(Element('content_folders'));
@@ -276,4 +368,24 @@
 
 
+                //MAILARCHIVER-04
+                if ((disabled_local_span) && (!expresso_mail_archive.enabled)){
+                    disabled_local_span.style.backgroundImage="url(../phpgwapi/templates/"+template+"/images/foldertree_services.png)";
+                        //div to login at MA Admin console
+                        var div_ma_host = document.createElement('div');
+                        div_ma_host.id = 'div_login_ma_host';
+                        div_ma_host.style.position = 'absolute';
+                        div_ma_host.style.padding = '0px';
+                        div_ma_host.style.margin = '0px';
+                        div_ma_host.style.top = '25px';
+                        div_ma_host.style.width = '145px';
+                        div_ma_host.style.height = '80px';
+                        div_ma_host.style.border = '1px solid #CCCCCC';
+                        div_ma_host.style.backgroundColor = '#F0F0F0';
+                        div_ma_host.style.fontWeight = 'normal';
+                        disabled_local_span.appendChild(div_ma_host);
+                        div_ma_host.innerHTML = '<p><b>'+get_lang('In trouble?')+'</b></p><p>&rarr; ' + get_lang('Try to access') + '<br/><a href="' + mail_archive_protocol + "://" + mail_archive_host + ":" + mail_archive_port + '/admin" target="_blank" title="MailArchiver Admin">'+get_lang('MailArchiver admin console')+'.</p>';
+                }
+
+
 		draw_paging(Element('tot_m').innerHTML);
 		if(document.getElementById(mount_url_folder(["nINBOX",special_folders["Trash"]])+"tree_folders"))
@@ -305,8 +417,24 @@
 			   }
 
-		if(!expresso_offline)
+        //MAILARCHIVER-05
+        if(document.getElementById("nlocal_disabledtree_folders") && (!expresso_mail_archive.enabled) && (!document.getElementById('services_retry')))
+        {
+            var service_retry = document.createElement("SPAN");
+            service_retry.id = 'services_retry';
+            service_retry.className = 'clean_trash';
+            service_retry.style.cursor = 'pointer';
+            service_retry.onclick = function () {services_retry();};
+            service_retry.innerHTML = "["+get_lang("Retry")+"]";
+            service_retry.title="Reconectar ao Mail Archiver";
+            service_retry.onmouseover = function() {service_retry.style.color="red";};
+            service_retry.onmouseout= function() {service_retry.style.color="#666666";}; //#114FA4
+            document.getElementById("nlocal_disabledtree_folders").appendChild(service_retry);
+        }
+
+            //MAILARCHIVER-00
+		//if(!expresso_offline)
 			var display_unseen_in_mailbox = tree_folders.getNodeById( 'root' );
-		else
-			var display_unseen_in_mailbox = tree_folders.getNodeById( 'local_root' );
+		//else
+			//var display_unseen_in_mailbox = tree_folders.getNodeById( 'local_root' );
 		display_unseen_in_mailbox.alter({caption:get_lang("My Folders")});
 		display_unseen_in_mailbox._refresh();
@@ -391,52 +519,62 @@
 
 function draw_tree_local_folders() {
-	/**
-	 * Pastas locais
-	 */
-		if(preferences.use_local_messages==1 || expresso_offline) {
-			var local_folders = expresso_local_messages.list_local_folders();
-			var has_changes = false;
-			for (var i in local_folders) { //Coloca as pastas locais.
-
-				var new_caption = local_folders[i][0];
-				if(local_folders[i][0].indexOf("/")!="-1") {
-					final_pos = local_folders[i][0].lastIndexOf("/");
-					new_caption = local_folders[i][0].substr(final_pos+1);
-				}
-
-				var folder_unseen = Element('dftree_local_'+local_folders[i][0]+'_unseen');
-
-				if ((folder_unseen) && (local_folders[i][1] > 0))
-				{
-					folder_unseen.innerHTML = local_folders[i][1];
-					has_changes = true;
-				}
-				else if (local_folders[i][1] > 0)
-				{
-					tree_folders.getNodeById("local_"+local_folders[i][0]).alter({caption:lang_folder(new_caption) + '<font style=color:red>&nbsp(</font><span id="dftree_local_'+local_folders[i][0]+'_unseen" style=color:red>'+local_folders[i][1]+'</span><font style=color:red>)</font>'});
-					tree_folders.getNodeById("local_"+local_folders[i][0])._refresh();
-					has_changes = true;
-				}
-				else if (local_folders[i][1] <= 0)
-				{
-					tree_folders.getNodeById("local_"+local_folders[i][0]).alter({caption:lang_folder(new_caption)});
-					tree_folders.getNodeById("local_"+local_folders[i][0])._refresh();
-					has_changes = true;
-				}
-
-			if("local_"+local_folders[i][0] == get_current_folder()){
-					var old_new_m = isNaN(parseInt(Element('new_m').innerHTML)) ? parseInt(Element('new_m').firstChild.innerHTML) : parseInt(Element('new_m').innerHTML);
-					if(!isNaN(old_new_m) && old_new_m < local_folders[i][1]){
-						Element('tot_m').innerHTML = parseInt(Element('tot_m').innerHTML) + (parseInt(local_folders[i][1])-old_new_m);
-					}
-					Element('new_m').innerHTML = local_folders[i][1] ? '<font color="RED">'+local_folders[i][1]+'</font>' : 0;
-					draw_paging(Element('tot_m').innerHTML);
-					has_changes = true;
-			}
-		}
-			if(has_changes)
-				tree_folders.getNodeById("local_root").open();
- 	}
-}
+    /**
+     * Pastas locais
+     */
+        //MAILARCHIVER-04
+        if ( preferences.use_local_messages=="1" ) {
+            var local_folders_list = expresso_mail_archive.getFoldersList("");
+        }
+}
+
+// function draw_tree_local_folders() {
+// 	/**
+// 	 * Pastas locais
+// 	 */
+// 		if(preferences.use_local_messages==1 || expresso_offline) {
+// 			var local_folders = expresso_local_messages.list_local_folders();
+// 			var has_changes = false;
+// 			for (var i in local_folders) { //Coloca as pastas locais.
+
+// 				var new_caption = local_folders[i][0];
+// 				if(local_folders[i][0].indexOf("/")!="-1") {
+// 					final_pos = local_folders[i][0].lastIndexOf("/");
+// 					new_caption = local_folders[i][0].substr(final_pos+1);
+// 				}
+
+// 				var folder_unseen = Element('dftree_local_'+local_folders[i][0]+'_unseen');
+
+// 				if ((folder_unseen) && (local_folders[i][1] > 0))
+// 				{
+// 					folder_unseen.innerHTML = local_folders[i][1];
+// 					has_changes = true;
+// 				}
+// 				else if (local_folders[i][1] > 0)
+// 				{
+// 					tree_folders.getNodeById("local_"+local_folders[i][0]).alter({caption:lang_folder(new_caption) + '<font style=color:red>&nbsp(</font><span id="dftree_local_'+local_folders[i][0]+'_unseen" style=color:red>'+local_folders[i][1]+'</span><font style=color:red>)</font>'});
+// 					tree_folders.getNodeById("local_"+local_folders[i][0])._refresh();
+// 					has_changes = true;
+// 				}
+// 				else if (local_folders[i][1] <= 0)
+// 				{
+// 					tree_folders.getNodeById("local_"+local_folders[i][0]).alter({caption:lang_folder(new_caption)});
+// 					tree_folders.getNodeById("local_"+local_folders[i][0])._refresh();
+// 					has_changes = true;
+// 				}
+
+// 			if("local_"+local_folders[i][0] == get_current_folder()){
+// 					var old_new_m = isNaN(parseInt(Element('new_m').innerHTML)) ? parseInt(Element('new_m').firstChild.innerHTML) : parseInt(Element('new_m').innerHTML);
+// 					if(!isNaN(old_new_m) && old_new_m < local_folders[i][1]){
+// 						Element('tot_m').innerHTML = parseInt(Element('tot_m').innerHTML) + (parseInt(local_folders[i][1])-old_new_m);
+// 					}
+// 					Element('new_m').innerHTML = local_folders[i][1] ? '<font color="RED">'+local_folders[i][1]+'</font>' : 0;
+// 					draw_paging(Element('tot_m').innerHTML);
+// 					has_changes = true;
+// 			}
+// 		}
+// 			if(has_changes)
+// 				tree_folders.getNodeById("local_root").open();
+//  	}
+// }
 
 
@@ -539,34 +677,42 @@
 			return true;
 		}
-		$.ajax({			
-			url: "controller.php?" + $.param( {action: "$this.imap_functions.get_range_msgs3", 
-				folder: folder,
-				 msg_range_begin: "0",
-				 msg_range_end: "0", 					
-				sort_box_type: "SORTARRIVAL", 
-				search_box_type: search_box_type,
-				sort_box_reverse: "1"
-				}),
-			success: function(data){
-				data = connector.unserialize(data);
-				if(data){
-					var _data = {};
-					$.each(data,function(index,value){
-						if (data[index] && data[index].msg_number){
-							_data[data[index].msg_number] = data[index].msg_number;
-						}
-					});
-					populateSelectedMsgs(_data);
-					_data = {};
-				
-				}
-			},
-			beforeSend: function( jqXHR, settings ){
-				connector.showProgressBar();
-			},
-			complete: function( jqXHR, settings ){
-				connector.hideProgressBar();
-			}
-		});
+		//MAILARCHIVE-fernando
+        //se for pasta local
+        if (/^local_messages/.test(current_folder)) {
+            console.log('buscar mensaens locais');
+            $(".folders-loading").removeClass("folders-loading"); //remove o icone de loading ao clicar nas pastas locais
+        }
+        else { //se não, processamento normal da pasta
+    		$.ajax({
+    			url: "controller.php?" + $.param( {action: "$this.imap_functions.get_range_msgs3", 
+    				folder: folder,
+    				 msg_range_begin: "0",
+    				 msg_range_end: "0", 					
+    				sort_box_type: "SORTARRIVAL", 
+    				search_box_type: search_box_type,
+    				sort_box_reverse: "1"
+    				}),
+    			success: function(data){
+    				data = connector.unserialize(data);
+    				if(data){
+    					var _data = {};
+    					$.each(data,function(index,value){
+    						if (data[index] && data[index].msg_number){
+    							_data[data[index].msg_number] = data[index].msg_number;
+    						}
+    					});
+    					populateSelectedMsgs(_data);
+    					_data = {};
+    				
+    				}
+    			},
+    			beforeSend: function( jqXHR, settings ){
+    				connector.showProgressBar();
+    			},
+    			complete: function( jqXHR, settings ){
+    				connector.hideProgressBar();
+    			}
+    		});
+        }
 		proxy_mensagens.messages_list(current_folder,1,preferences.max_email_per_page,sort_box_type,search_box_type,sort_box_reverse,preferences.preview_msg_subject,preferences.preview_msg_tip,handler_draw_box);
 	}
@@ -1657,21 +1803,48 @@
 
 		tr_element.msg_sample = "";
+        tr_element.tip = "";
 		//if(headers_msgs.msg_sample && headers_msgs.msg_sample.preview_msg_subject != "")
 		if(headers_msgs.msg_sample && preferences.preview_msg_subject == "1" && headers_msgs.msg_sample.body !== "")
 		{
-			if (cssForResizing) //Colunas redimensionaveis - nao trunca
-				tr_element.msg_sample = Base64.decode(headers_msgs.msg_sample.body).substr(0,180) + "..."; //trecho do body que sera exibido com o assunto;
-			else
-				tr_element.msg_sample = Base64.decode(headers_msgs.msg_sample.body).substr(0,120) + "..."; //trecho do body que sera exibido com o assunto;
-		}
-
-		tr_element.tip = "";
-		if(headers_msgs.msg_sample && preferences.preview_msg_tip == "1" && headers_msgs.msg_sample.body !== "")
-		{
-			tr_element.tip = Base64.decode(headers_msgs.msg_sample.body).substr(3,300) + "..."; //trecho do body que sera exibido no tool-tip;
-		}
+            //if(preferences.use_local_messages==1 && !expresso_offline) { //MailArchive
+                if(proxy_mensagens.is_local_folder(current_folder)) {
+
+                    // preferencia da pre-visualizacao
+                    if (cssForResizing) {//Colunas redimensionaveis - nao trunca
+                        tr_element.msg_sample = headers_msgs.msg_sample.body.substr(0,180) + "..."; //trecho do body que sera exibido com o assunto; //blabla
+                    } else {
+                        tr_element.msg_sample = headers_msgs.msg_sample.body.substr(0,120) + "..."; //trecho do body que sera exibido com o assunto;
+                    }
+
+                    // preferencia dos tooltips
+                    if(headers_msgs.msg_sample && preferences.preview_msg_tip == "1" && headers_msgs.msg_sample.body !== "") {
+                        tr_element.tip = headers_msgs.msg_sample.body.substr(3,300) + "..."; //trecho do body que sera exibido no tool-tip;
+                    }
+
+                }
+
+            /*}*/ else { //IMAP
+                 // preferencia da pre-visualizacao
+			     if (cssForResizing) { //Colunas redimensionaveis - nao trunca
+                    /*problema no decode, se ele for utilizado, nao lista as mensagens -> CORRIGIDO em mail_archiver.js*/
+                    //if (headers_msgs.msg_sample.body.length > 0)
+				    tr_element.msg_sample = Base64.decode(headers_msgs.msg_sample.body).substr(0,180) + "..."; //trecho do body que sera exibido com o assunto; //blabla
+			     } else {
+				    //if (headers_msgs.msg_sample.body.length > 0)
+					tr_element.msg_sample = Base64.decode(headers_msgs.msg_sample.body).substr(0,120) + "..."; //trecho do body que sera exibido com o assunto;
+		          }
+
+                // preferencia dos tooltips
+                if(headers_msgs.msg_sample && preferences.preview_msg_tip == "1" && headers_msgs.msg_sample.body !== "") {
+                    tr_element.tip = Base64.decode(headers_msgs.msg_sample.body).substr(3,300) + "..."; //trecho do body que sera exibido no tool-tip;
+                }
+            }
+        }
+
+		
+		
 
 		if ((headers_msgs.Unseen == 'U') || (headers_msgs.Recent == 'N')){
-			if ((headers_msgs.Flagged == 'F') || headers_msgs.Importance.toLowerCase().indexOf("high")!=-1 )
+			if ((headers_msgs.Flagged == 'F') || ( headers_msgs.Importance !== undefined && headers_msgs.Importance.toLowerCase().indexOf("high")!=-1 ) )
 				add_className(tr_element, 'flagged_msg');
 			add_className(tr_element, 'tr_msg_unread');
@@ -5084,4 +5257,10 @@
 
 function build_quota(data){
+    //MAILARCHIVE - fernando
+    // se for a pasta de mensagens locais
+    if(proxy_mensagens.is_local_folder(current_folder)) {
+        return;        
+    }
+
 	id = "content_quota";
 	q_limit = data['quota_limit'];
